Qt 5.7 | Qt 3D | C++ Classes | QFrontFace

Qt 5.7.1 Reference Documentation

# QFrontFace Class

(Qt3DRender::QFrontFace)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | WindingDirection { ClockWise, CounterClockWise }

## Properties

- direction : WindingDirection

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QFrontFace(Qt3DCore::QNode *parent = nullptr)
| ~QFrontFace()
WindingDirection | direction() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDirection(WindingDirection direction)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | directionChanged(WindingDirection direction)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QFrontFace::WindingDirection

## Property Documentation

### direction : WindingDirection

Access functions:

WindingDirection | direction() const
void | setDirection(WindingDirection direction)

Notifier signal:

void | directionChanged(WindingDirection direction)

## Member Function Documentation

### QFrontFace::QFrontFace(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QFrontFace.

### QFrontFace::~QFrontFace()

Destroys the instance of QFrontFace.